with Globals, Ints, Strings, Params, Flts, Ints;
use Globals, Ints, Strings, Params, Flts, Ints;
with Check_Fixpt,Check_Bifpt,Check_Branch;

pragma Elaborate_All (Globals,Ints,Strings,Check_Fixpt,Check_Bifpt);

procedure Run_All is

   NT:   constant Positive := GetArg;      --- number of concurrent tasks
   Sol:  constant Natural  := GetArg;

   procedure Run(I: Natural) is
      P: Param := PList(I);
   begin
      Show1("PList entry ",I);
      if I<32 then
         Check_Fixpt(P);
      else
         Check_Bifpt(P);
      end if;
   end Run;

begin

   Verbosity := 0;
   NTasks := NT;
   if Sol=0 then
      for I in PList'Range loop Run(I); end loop;
      Check_Branch;
   else
      Run(Sol);
   end if;

end Run_All;
